
import 'package:flutter/material.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class DescriptionField extends StatelessWidget {
  final TextEditingController controller;

  const DescriptionField({super.key, required this.controller});

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      controller: controller,
      decoration: InputDecoration(
        labelText: '${AppLocalizations.of(context)!.companyDescription} (${AppLocalizations.of(context)!.optional})',
        hintText: AppLocalizations.of(context)!.companyDescriptionHint,
      ),
      maxLines: 3,
      maxLength: 500,
    );
  }
}